Get Pipeline Metrics Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/{config_id}/deploy/metrics \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}/deploy/metrics"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/{config_id}/deploy/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pipeline_id": "<string>",
"time_range": "<string>",
"messages_received_per_min": 123,
"messages_sent_per_min": 123,
"total_latency": {
"p50": 123,
"p90": 123,
"p99": 123,
"unit": "ms"
},
"processing_latency": [
{
"path": "<string>",
"latency": {
"p50": 123,
"p90": 123,
"p99": 123,
"unit": "ms"
}
}
],
"processor_error_rate": 123,
"output_error_rate": 123,
"data_freshness_ms": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deployment
Get deployment metrics
Returns throughput, latency, and error rate metrics for a deployed pipeline.
GET
/
api
/
v1
/
beam
/
{config_id}
/
deploy
/
metrics
Get Pipeline Metrics Handler
Returns throughput, latency, and error rate metrics for the deployment.
Path parameters:
Query parameters:
Available metric types:
Required permission:
read — owners, editors, readers, and members of teams shared via viewer_team.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
| Parameter | Default | Description |
|---|---|---|
time_range | 1h | Time range: 1h, 1d, or 1w |
aggregated | false | true returns a single summary, false returns time-series data points |
curl -X GET "https://api.allium.so/api/v1/beam/${CONFIG_ID}/deploy/metrics?time_range=1h&aggregated=true" \
-H "X-API-Key: ${ALLIUM_API_KEY}"
messages_received, messages_sent, total_latency, processing_latency, processor_errors, output_errors, data_freshness
- Time-series (default)
- Aggregated
{
"config_id": "abc123",
"metrics": [
{
"metric_type": "messages_received",
"points": [
{ "timestamp": "2026-03-24T07:21:40Z", "value": 0.0 },
{ "timestamp": "2026-03-24T07:22:40Z", "value": 15.3 },
{ "timestamp": "2026-03-24T07:23:40Z", "value": 22.1 }
]
},
{
"metric_type": "messages_sent",
"points": []
}
]
}
{
"pipeline_id": "abc123",
"time_range": "1h",
"messages_received_per_min": 411.98,
"messages_sent_per_min": 411.98,
"total_latency": {
"p50": 222.55,
"p90": 266.46,
"p99": 266.46,
"unit": "ms"
},
"processing_latency": [
{
"path": "path:v8-transform",
"latency": { "p50": 1.21, "p90": 2.26, "p99": 2.26, "unit": "ms" }
}
],
"processor_error_rate": 0.0,
"output_error_rate": 0.0,
"data_freshness_ms": 2043.49
}
Authorizations
Path Parameters
Query Parameters
Time range for metrics
Available options:
1h, 1d, 1w If True, returns aggregated pipeline metrics. If False, returns raw metric series.
Response
Successful Response
- PipelineMetricsResponse
- RawMetricsResponse
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?